Skip to main content
GET
/
commerce
/
catalog
/
admin
/
couponsets
/
{couponSetCode}
/
couponcodes
Error
A valid request URL is required to generate request examples
{
  "items": [
    {
      "couponCode": "<string>",
      "auditInfo": {
        "createBy": "<string>",
        "createDate": "2023-11-07T05:31:56Z",
        "updateBy": "<string>",
        "updateDate": "2023-11-07T05:31:56Z"
      },
      "canBeDeleted": true,
      "couponSetCode": "<string>",
      "couponSetId": 123,
      "redemptionCount": 123
    }
  ],
  "pageCount": 123,
  "pageSize": 123,
  "startIndex": 123,
  "totalCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

couponSetCode
string
required

Query Parameters

startIndex
integer<int32>
default:0
pageSize
integer<int32>
default:0
sortBy
string
filter
string
includeCounts
boolean
default:false

Includes coupon redemption counts

responseGroups
string

counts

responseFields
string

limits which fields are returned in the response body

Response

Success

items
object[] | null
pageCount
integer<int32>
pageSize
integer<int32>
startIndex
integer<int32>
totalCount
integer<int32>